"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.XPathNSResolver = exports.XPathExpression = exports.XPathResult = exports.domImplementation = exports.Node = exports.DOMException = exports.XMLSerializer = exports.DOMParser = exports.getParserError = void 0;
var domParsererror_1 = require("./xml/domParsererror");
Object.defineProperty(exports, "getParserError", { enumerable: true, get: function () { return domParsererror_1.getParserError; } });
let DOMParser;
exports.DOMParser = DOMParser;
let XMLSerializer;
exports.XMLSerializer = XMLSerializer;
let DOMException;
exports.DOMException = DOMException;
let Node;
exports.Node = Node;
let domImplementation;
exports.domImplementation = domImplementation;
let XPathResult;
exports.XPathResult = XPathResult;
let XPathExpression;
exports.XPathExpression = XPathExpression;
let XPathNSResolver;
exports.XPathNSResolver = XPathNSResolver;
function InitializeAliases() {
    const xmldomParser = require('./xml/domParser');
    exports.DOMParser = DOMParser = xmldomParser.DOMParserFixed;
    const xmldom = require('./xmldom/dom');
    exports.XMLSerializer = XMLSerializer = xmldom.XMLSerializer;
    exports.DOMException = DOMException = xmldom.DOMException;
    exports.Node = Node = xmldom.Node;
    const DOMImplementation = xmldom.DOMImplementation;
    exports.domImplementation = domImplementation = new DOMImplementation();
    const xpath = require('./xpath/xpath');
    exports.XPathResult = XPathResult = xpath.XPathResult;
    exports.XPathExpression = XPathExpression = xpath.XPathExpression;
    exports.XPathNSResolver = XPathNSResolver = xpath.XPathNSResolver;
    const xmlDoc = domImplementation.createDocument(null, null, null);
    let xmldocProto = Object.getPrototypeOf(xmlDoc);
    xmldocProto['evaluate'] = function (expression, contextNode, resolver, type, result) {
        contextNode = contextNode || this;
        return xpath.evaluate(expression, contextNode, resolver, type, result);
    };
    xmldocProto['createNSResolver'] = function (nodeResolver) {
        return xpath.createNSResolver(nodeResolver);
    };
    xmldocProto['createExpression'] = function (expression, resolver) {
        return xpath.createExpression(expression, resolver);
    };
}
InitializeAliases();
//# sourceMappingURL=common-xml-features.js.map